Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler:

## Public Member Functions
| __construct (BaseContentTypeHandler $handler, InMemoryCache $cache)
| Creates a new content type handler. More...
| createGroup (GroupCreateStruct $createStruct)
  | { Parameters
  \eZ\Publish\SPI\Persistence\Content\Type\Group\CreateStruct | $group |
Returns \eZ\Publish\SPI\Persistence\Content\Type\Group } More...
| updateGroup (GroupUpdateStruct $struct)
  | { Parameters
  \eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct | $group |
} More...
| deleteGroup ($groupId)
  | { Parameters
  mixed | $groupId |
  Exceptions
} More...
| loadGroup ($groupId)
  | { Parameters
  mixed | $groupId |
  Exceptions
} More...
| loadGroups (array $groupIds)
  | {Return list of unique Content Type Groups, with group id as key.Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not. Parameters
  array | $groupIds |
Returns \eZ\Publish\SPI\Persistence\Content\Type\Group[] } More...
| loadGroupByIdentifier ($identifier)
  | {Loads Type Group by identifier.Legacy note: Uses name for identifier. Parameters
  string | $identifier |
  Exceptions
} More...
| loadAllGroups ()
| { Returns \eZ\Publish\SPI\Persistence\Content\Type\Group[] } More...
| loadContentTypes ($groupId, $status=Type::STATUS_DEFINED)
  | { Parameters
  mixed | $groupId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
Returns \eZ\Publish\SPI\Persistence\Content\Type[] } More...
| loadContentTypeList (array $contentTypeIds)
  | {Return list of unique Content Types, with type id as key.Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not. Parameters
  array | $contentTypeIds |
Returns \eZ\Publish\SPI\Persistence\Content\Type[] } More...
| load ($contentTypeId, $status=Type::STATUS_DEFINED)
  | {Loads a content type by id and status.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement. Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| loadByIdentifier ($identifier)
  | {Loads a (defined) content type by identifier.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement. Parameters
  string | $identifier |
  Exceptions
} More...
| loadByRemoteId ($remoteId)
  | {Loads a (defined) content type by remote id.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement. Parameters
  mixed | $remoteId |
  Exceptions
} More...
| create (CreateStruct $createStruct)
| {} More...
| update ($typeId, $status, UpdateStruct $contentType)
| {} More...
| delete ($contentTypeId, $status)
  | { Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| createDraft ($modifierId, $contentTypeId)
  | {Creates a draft of existing defined content type.Updates modified date, sets $modifierId and status to Type::STATUS_DRAFT on the new returned draft. Parameters
  mixed | $modifierId |
  mixed | $contentTypeId |
  Exceptions
} More...
| copy ($userId, $contentTypeId, $status)
  | {Copy a Type incl fields and group-relations from a given status to a new Type with status Type::STATUS_DRAFT.New Content Type will have $userId as creator / modifier, created / modified should be updated, new remoteId created and identifier should be 'copy_of_<originalBaseIdentifier>_<newTypeId>' or another unique string. Parameters
  mixed | $userId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| unlink ($groupId, $contentTypeId, $status)
  | {Unlink a content type group from a content type. Parameters
  mixed | $groupId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| link ($groupId, $contentTypeId, $status)
  | {Link a content type group with a content type. Parameters
  mixed | $groupId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  Exceptions
} More...
| getFieldDefinition ($id, $status)
  | {Returns field definition for the given field definition id. Exceptions
} More...
| getContentCount ($contentTypeId)
  | {Counts the number of Content instances of the ContentType identified by given $contentTypeId. Parameters
  mixed | $contentTypeId |
Returns int } More...
| addFieldDefinition ($contentTypeId, $status, FieldDefinition $fieldDefinition)
  | {Adds a new field definition to an existing Type.This method creates a new version of the Type with the $fieldDefinition added. It does not update existing content objects depending on the field (default) values. Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  Returns \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition Exceptions
} More...
| removeFieldDefinition ($contentTypeId, $status, $fieldDefinitionId)
  | {Removes a field definition from an existing Type.This method creates a new version of the Type with the field definition referred to by $fieldDefinitionId removed. It does not update existing content objects depending on the field (default) values. Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  mixed | $fieldDefinitionId |
  Exceptions
} More...
| updateFieldDefinition ($contentTypeId, $status, FieldDefinition $fieldDefinition)
  | {This method updates the given $fieldDefinition on a Type.This method creates a new version of the Type with the updated $fieldDefinition. It does not update existing content objects depending on the field (default) values. Parameters
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |
  Exceptions
} More...
| publish ($contentTypeId)
  | {Update content objects.Updates content objects, depending on the changed field definitions.A content type has a state which tells if its content objects yet have been adapted.Flags the content type as updated. Parameters
  mixed | $contentTypeId |
  Exceptions
} More...
| getSearchableFieldMap ()
| {Returns content type, field definition and field type mapping information for search engine usage.Only searchable field definitions will be included in the returned data.Returns an array in the form:`array( "<ContentType identifier>" => array( "<FieldDefinition identifier>" => array( "field_definition_id" => "<FieldDefinition id>", "field_type_identifier" => "<FieldType identifier>", ), ... ), ... )` Returns array } More...
| removeContentTypeTranslation (int $contentTypeId, string $languageCode)
  | { Parameters
  int | $contentTypeId |
  string | $languageCode |
Returns \eZ\Publish\SPI\Persistence\Content\Type } More...
| clearCache ()
| Clear internal caches. More...
| deleteByUserAndStatus (int $userId, int $status)
Public Member Functions inherited from eZ\Publish\SPI\Persistence\Content\Type\Handler
| create (CreateStruct $contentType)
| update ($contentTypeId, $status, UpdateStruct $contentType)

## Protected Member Functions
| deleteTypeCache (int $contentTypeId, int $status=Type::STATUS_DEFINED)
| storeTypeCache (array $types, string $listIndex=null)
| storeGroupCache (array $groups, string $listIndex=null)

## Protected Attributes
| $innerHandler
| $cache

## Detailed Description

Definition at line 19 of file MemoryCachingHandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::__construct | ( | BaseContentTypeHandler | $handler,
|  | InMemoryCache | $cache
| ) |  |

Creates a new content type handler.

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Handler | $handler |
  \eZ\Publish\Core\Persistence\Cache\InMemory\InMemoryCache | $cache |

Definition at line 41 of file MemoryCachingHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\$cache.

## Member Function Documentation

## ◆ addFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::addFieldDefinition | ( |  | $contentTypeId,
|  |  | $status,
|  | FieldDefinition | $fieldDefinition
| ) |  |

{Adds a new field definition to an existing Type.This method creates a new version of the Type with the $fieldDefinition added. It does not update existing content objects depending on the field (default) values.

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 333 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteTypeCache().

## ◆ clearCache()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::clearCache | ( |  | ) |

Clear internal caches.

Definition at line 401 of file MemoryCachingHandler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\publish(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\removeContentTypeTranslation().

## ◆ copy()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::copy | ( |  | $userId,
|  |  | $contentTypeId,
|  |  | $status
| ) |  |

{Copy a Type incl fields and group-relations from a given status to a new Type with status Type::STATUS_DRAFT.New Content Type will have $userId as creator / modifier, created / modified should be updated, new remoteId created and identifier should be 'copy_of_<originalBaseIdentifier>_<newTypeId>' or another unique string.

Parameters

  mixed | $userId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 278 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeTypeCache().

## ◆ create()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::create | ( | CreateStruct | $createStruct | ) |

{}

Definition at line 234 of file MemoryCachingHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteTypeCache().

## ◆ createDraft()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::createDraft | ( |  | $modifierId,
|  |  | $contentTypeId
| ) |  |

{Creates a draft of existing defined content type.Updates modified date, sets $modifierId and status to Type::STATUS_DRAFT on the new returned draft.

Parameters

  mixed | $modifierId |
  mixed | $contentTypeId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 266 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$modifierId, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteTypeCache().

## ◆ createGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::createGroup | ( | GroupCreateStruct | $createStruct | ) |

{

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group\CreateStruct | $group |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\Group

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 50 of file MemoryCachingHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeGroupCache().

## ◆ delete()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::delete | ( |  | $contentTypeId,
|  |  | $status
| ) |  |

{

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 257 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteTypeCache().

## ◆ deleteByUserAndStatus()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::deleteByUserAndStatus | ( | int | $userId,
|  | int | $status
| ) |  |

Parameters

  int | $userId |
  int | $status |

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 452 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ deleteGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::deleteGroup | ( |  | $groupId | ) |

{

Parameters

  mixed | $groupId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 74 of file MemoryCachingHandler.php.

## ◆ deleteTypeCache()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::deleteTypeCache | ( | int | $contentTypeId,
|  | int | $status = `Type::STATUS_DEFINED`
| ) |  |
| protected

Definition at line 406 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\addFieldDefinition(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\create(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\createDraft(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\delete(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\removeFieldDefinition(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\updateFieldDefinition().

## ◆ getContentCount()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::getContentCount | ( |  | $contentTypeId | ) |

{Counts the number of Content instances of the ContentType identified by given $contentTypeId.

Parameters

  mixed | $contentTypeId |

Returns
  int

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 325 of file MemoryCachingHandler.php.

## ◆ getFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::getFieldDefinition | ( |  | $id,
|  |  | $status
| ) |  |

{Returns field definition for the given field definition id.

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 317 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$id, and eZ\Publish\SPI\Persistence\Content\Type\$status.

## ◆ getSearchableFieldMap()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::getSearchableFieldMap | ( |  | ) |

{Returns content type, field definition and field type mapping information for search engine usage.Only searchable field definitions will be included in the returned data.Returns an array in the form:`array( "<ContentType identifier>" => array( "<FieldDefinition identifier>" => array( "field_definition_id" => "<FieldDefinition id>", "field_type_identifier" => "<FieldType identifier>", ), ... ), ... )`

Returns
  array

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 373 of file MemoryCachingHandler.php.

## ◆ link()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::link | ( |  | $groupId,
|  |  | $contentTypeId,
|  |  | $status
| ) |  |

{Link a content type group with a content type.

Parameters

  mixed | $groupId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 303 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ load()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::load | ( |  | $contentTypeId,
|  |  | $status = `Type::STATUS_DEFINED`
| ) |  |

{Loads a content type by id and status.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement.

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 192 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeTypeCache().

## ◆ loadAllGroups()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::loadAllGroups | ( |  | ) |

{

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\Group[]

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 136 of file MemoryCachingHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeGroupCache().

## ◆ loadByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::loadByIdentifier | ( |  | $identifier | ) |

{Loads a (defined) content type by identifier.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement.

Parameters

  string | $identifier |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 206 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$identifier, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeTypeCache().

## ◆ loadByRemoteId()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::loadByRemoteId | ( |  | $remoteId | ) |

{Loads a (defined) content type by remote id.Note: This method is responsible of having the Field Definitions of the loaded ContentType sorted by placement.

Parameters

  mixed | $remoteId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 220 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$remoteId, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeTypeCache().

## ◆ loadContentTypeList()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::loadContentTypeList | ( | array | $contentTypeIds | ) |

{Return list of unique Content Types, with type id as key.Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  array | $contentTypeIds |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type[]

}

@noinspection AdditionOperationOnArraysInspection

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 168 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeTypeCache().

## ◆ loadContentTypes()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::loadContentTypes | ( |  | $groupId,
|  |  | $status = `Type::STATUS_DEFINED`
| ) |  |

{

Parameters

  mixed | $groupId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Returns
  \eZ\Publish\SPI\Persistence\Content\Type[]

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 150 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeTypeCache().

## ◆ loadGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::loadGroup | ( |  | $groupId | ) |

{

Parameters

  mixed | $groupId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 84 of file MemoryCachingHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeGroupCache().

## ◆ loadGroupByIdentifier()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::loadGroupByIdentifier | ( |  | $identifier | ) |

{Loads Type Group by identifier.Legacy note: Uses name for identifier.

Parameters

  string | $identifier |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 122 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$identifier, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeGroupCache().

## ◆ loadGroups()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::loadGroups | ( | array | $groupIds | ) |

{Return list of unique Content Type Groups, with group id as key.Missing items (NotFound) will be missing from the array and not cause an exception, it's up to calling logic to determine if this should cause exception or not.

Parameters

  array | $groupIds |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type\Group[]

}

@noinspection AdditionOperationOnArraysInspection

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 98 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$groupIds, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeGroupCache().

## ◆ publish()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::publish | ( |  | $contentTypeId | ) |

{Update content objects.Updates content objects, depending on the changed field definitions.A content type has a state which tells if its content objects yet have been adapted.Flags the content type as updated.

Parameters

  mixed | $contentTypeId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 363 of file MemoryCachingHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\clearCache().

## ◆ removeContentTypeTranslation()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::removeContentTypeTranslation | ( | int | $contentTypeId,
|  | string | $languageCode
| ) |  |

{

Parameters

  int | $contentTypeId |
  string | $languageCode |

Returns
  \eZ\Publish\SPI\Persistence\Content\Type

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 391 of file MemoryCachingHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\clearCache().

## ◆ removeFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::removeFieldDefinition | ( |  | $contentTypeId,
|  |  | $status,
|  |  | $fieldDefinitionId
| ) |  |

{Removes a field definition from an existing Type.This method creates a new version of the Type with the field definition referred to by $fieldDefinitionId removed. It does not update existing content objects depending on the field (default) values.

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  mixed | $fieldDefinitionId |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 343 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteTypeCache().

## ◆ storeGroupCache()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::storeGroupCache | ( | array | $groups,
|  | string | $listIndex = `null`
| ) |  |
| protected

Definition at line 438 of file MemoryCachingHandler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\createGroup(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadAllGroups(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadGroup(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadGroupByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadGroups(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\updateGroup().

## ◆ storeTypeCache()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::storeTypeCache | ( | array | $types,
|  | string | $listIndex = `null`
| ) |  |
| protected

Definition at line 417 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\copy(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\load(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadByIdentifier(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadByRemoteId(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadContentTypeList(), eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\loadContentTypes(), and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\update().

## ◆ unlink()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::unlink | ( |  | $groupId,
|  |  | $contentTypeId,
|  |  | $status
| ) |  |

{Unlink a content type group from a content type.

Parameters

  mixed | $groupId |
  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 289 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\SPI\Persistence\Content\Type\STATUS_DEFINED.

## ◆ update()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::update | ( |  | $typeId,
|  |  | $status,
|  | UpdateStruct | $contentType
| ) |  |

{}

Definition at line 246 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeTypeCache().

## ◆ updateFieldDefinition()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::updateFieldDefinition | ( |  | $contentTypeId,
|  |  | $status,
|  | FieldDefinition | $fieldDefinition
| ) |  |

{This method updates the given $fieldDefinition on a Type.This method creates a new version of the Type with the updated $fieldDefinition. It does not update existing content objects depending on the field (default) values.

Parameters

  mixed | $contentTypeId |
  int | $status | One of Type::STATUS_DEFINED|Type::STATUS_DRAFT|Type::STATUS_MODIFIED
  \eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition | $fieldDefinition |

Exceptions

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 353 of file MemoryCachingHandler.php.

References eZ\Publish\SPI\Persistence\Content\Type\$status, and eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\deleteTypeCache().

## ◆ updateGroup()

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::updateGroup | ( | GroupUpdateStruct | $struct | ) |

{

Parameters

  \eZ\Publish\SPI\Persistence\Content\Type\Group\UpdateStruct | $group |

}

Implements eZ\Publish\SPI\Persistence\Content\Type\Handler.

Definition at line 62 of file MemoryCachingHandler.php.

References eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\storeGroupCache().

## Member Data Documentation

## ◆ $cache

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::$cache
| protected

Definition at line 33 of file MemoryCachingHandler.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler\__construct().

## ◆ $innerHandler

eZ\Publish\Core\Persistence\Legacy\Content\Type\MemoryCachingHandler::$innerHandler
| protected

Definition at line 26 of file MemoryCachingHandler.php.

The documentation for this class was generated from the following file:

- MemoryCachingHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.